Subject: Re: [ANNOUNCE] GIT 1.5.4

From: Andreas Ericsson <[email-masked]>
Date: Sat, 09 Feb 2008 10:25:37 +0100

Nicolas Pitre wrote:
> On Thu, 7 Feb 2008, Luciano Rocha wrote:
> 
>> On Thu, Feb 07, 2008 at 12:55:58PM +0000, Johannes Schindelin wrote:
>>> Hi,
>>>
>>> On Thu, 7 Feb 2008, Luciano Rocha wrote:
>>>
>>>> Why do I have to accept the GPL to install msysgit?
>>> Because that's the only license you have to use git.
>> Again, GPL governs distribution, not use.
>>
>>> Get over it, or use another SCM,
>> I like and use GPL, but I won't force my users to accept the GPL in
>> order to use programs released under it.
> 
> What are they forced into if they indeed only want to _use_ Git?
> 
> They nevertheless must be made aware of the rules they have to follow in 
> case the idea of redistributing it crosses their mind.
> 

No, because redistributing software is always illegal unless explicitly
permitted. The GPL explicitly permits it, so they have to find that
piece of license, read it, determine "oh this is ok then" and then go
ahead and email it to their friends.

Seriously though, the only thing I expect nobody would want to is
that some company starts distributing git as their own scm, under a
different license and probably closed-source too. EFF can provide
lawyer help for such cases. Such a company would obviously read the
license and realise that it's impossible for them to do so.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231